One Star

Get error on TTableauextractoutput component

Hi , can you help about these error...
i am doing Inputfiledelimited to TTableauextractoutput process...
I've encountered this kind of error...
Exception in component tTableauExtractOutput_1

com.tableausoftware.TableauException: Invalid Extract handle

at com.tableausoftware.DataExtract.Extract.addTable(Unknown Source)

at movemer.testing_0_1.testing.tFileInputDelimited_1Process(testing.java:2203)

at movemer.testing_0_1.testing.runJobInTOS(testing.java:4397)

at movemer.testing_0_1.testing.main(testing.java:4249)
disconnected
disconnected 

Thanks...
4 REPLIES
Community Manager

Re: Get error on TTableauextractoutput component

Hi 
Can you upload some screenshots about the settings of tTableauextractoutput component and its schema?

Best regards
Shong
----------------------------------------------------------
Talend | Data Agility for Modern Business
One Star

Re: Get error on TTableauextractoutput component

Okay Sir, 
here's the screenshots that you needed,


Thanks for your response...




Two Stars

Re: Get error on TTableauextractoutput component

Hello Mike,
After downloading tableau API i was getting same as error as yours (downloading Tableau API resolved java.lang.UnsatisfiedLinkError: Unable to load library 'DataExtract' error).
to resolve the new error
I did double click on tTableauExtractOutput component and then give Output Tableau extract file as "tableau_test.tde" instead of giving full path like "c:/desktop/tableau_test.tde". after changing it just run the job which will create a tableau_test.tde where your talend executables are.
I see in your screenshot that you have same as I said. I am not sure what it is causing a problem for you but it worked for me.
below is the my job screenshot if it helps. 
I am using Talend 5.6 TIS.


Thanks
One Star

Re: Get error on TTableauextractoutput component

Hi Folks
Since this is the most recent post related to the TTableauExtractOutput component, I'd like to get a better understanding of the product in the context of the current versions.
Can you share what versions of Talend and Tableau you are using.  And are you using this component in production yet?
Also, if you aren't using Tableau 9.0 currently, are you concerned about getting this component to work?
I'm considering using the component but I don't have a feel for how much it is being maintained.
Thanks.